searchNodes=[{"doc":"Wrapper for Twilio magic phone numbers used in tests making calls.See: https://www.twilio.com/docs/iam/test-credentials#test-calls","ref":"TwilioMagicValues.Calling.html","title":"TwilioMagicValues.Calling","type":"module"},{"doc":"Returns the magic phone number which is BLACKLISTED such that your account cannot call it.Expect the 21216 API error from Twilio.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.valid_caller_id(), to: TwilioMagicValues.Calling.blacklisted_recipient()) iex&gt; Map.get(map, :code) 21216","ref":"TwilioMagicValues.Calling.html#blacklisted_recipient/0","title":"TwilioMagicValues.Calling.blacklisted_recipient/0","type":"function"},{"doc":"All other phone numbers will return an error when calling from them.(Other numbers are not verified for your account with your test credentials.)Expect the 21210 API error from Twilio.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.from_other(&quot;+17148675308&quot;), to: TwilioMagicValues.Calling.to_other(&quot;+17148675309&quot;)) iex&gt; Map.get(map, :code) 21210","ref":"TwilioMagicValues.Calling.html#from_other/1","title":"TwilioMagicValues.Calling.from_other/1","type":"function"},{"doc":"Returns the magic phone number which returns a GEO PERMISSION ERROR when called.Expect the 21215 API error from Twilio.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.valid_caller_id(), to: TwilioMagicValues.Calling.geo_blocked_recipient()) iex&gt; Map.get(map, :code) 21215","ref":"TwilioMagicValues.Calling.html#geo_blocked_recipient/0","title":"TwilioMagicValues.Calling.geo_blocked_recipient/0","type":"function"},{"doc":"Returns the magic phone number which is INVALID to call from.Expect the 21212 API error from Twilio.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.invalid_caller_id(), to: TwilioMagicValues.Calling.to_other(&quot;+17148675309&quot;)) iex&gt; Map.get(map, :code) 21212","ref":"TwilioMagicValues.Calling.html#invalid_caller_id/0","title":"TwilioMagicValues.Calling.invalid_caller_id/0","type":"function"},{"doc":"Returns the magic phone number which is INVALID to call.Expect the 21217 API error from Twilio.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.valid_caller_id(), to: TwilioMagicValues.Calling.invalid_recipient()) iex&gt; Map.get(map, :code) 21217","ref":"TwilioMagicValues.Calling.html#invalid_recipient/0","title":"TwilioMagicValues.Calling.invalid_recipient/0","type":"function"},{"doc":"All other recipient phone numbers are potentially valid and are verified normally.Errors are dependent on input.","ref":"TwilioMagicValues.Calling.html#to_other/1","title":"TwilioMagicValues.Calling.to_other/1","type":"function"},{"doc":"Returns the magic phone number which is UNROUTABLE when called.Expect the 21214 API error from Twilio.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.valid_caller_id(), to: TwilioMagicValues.Calling.unroutable_recipient()) iex&gt; Map.get(map, :code) 21214","ref":"TwilioMagicValues.Calling.html#unroutable_recipient/0","title":"TwilioMagicValues.Calling.unroutable_recipient/0","type":"function"},{"doc":"Returns the magic phone number which is VALID to call from.Expect no error.Exampleiex&gt; map = make_call(from: TwilioMagicValues.Calling.valid_caller_id(), to: TwilioMagicValues.Calling.to_other(&quot;+17148675309&quot;)) iex&gt; Map.get(map, :code, &quot;There is no error code&quot;) &quot;There is no error code&quot; iex&gt; Map.get(map, :from_formatted) &quot;(500) 555-0006&quot;","ref":"TwilioMagicValues.Calling.html#valid_caller_id/0","title":"TwilioMagicValues.Calling.valid_caller_id/0","type":"function"},{"doc":"Wrapper for Twilio magic phone numbers used in tests sending SMS messages.See: https://www.twilio.com/docs/iam/test-credentials#test-sms-messages","ref":"TwilioMagicValues.Messaging.html","title":"TwilioMagicValues.Messaging","type":"module"},{"doc":"Returns the magic phone number which is BLACKLISTED such that your account cannot send a message to it.Expect the 21610 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.valid_sender(), to: TwilioMagicValues.Messaging.blacklisted_recipient()) iex&gt; Map.get(map, :code) 21610","ref":"TwilioMagicValues.Messaging.html#blacklisted_recipient/0","title":"TwilioMagicValues.Messaging.blacklisted_recipient/0","type":"function"},{"doc":"Returns the magic phone number which DOESNT SUPPORT RECEIVING SMS MESSAGES.Expect the 21614 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.valid_sender(), to: TwilioMagicValues.Messaging.cant_receive_sms()) iex&gt; Map.get(map, :code) 21614","ref":"TwilioMagicValues.Messaging.html#cant_receive_sms/0","title":"TwilioMagicValues.Messaging.cant_receive_sms/0","type":"function"},{"doc":"Returns the magic phone number which returns a GEO PERMISSION ERROR when sent an SMS message.Expect the 21408 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.valid_sender(), to: TwilioMagicValues.Messaging.geo_blocked_recipient()) iex&gt; Map.get(map, :code) 21408","ref":"TwilioMagicValues.Messaging.html#geo_blocked_recipient/0","title":"TwilioMagicValues.Messaging.geo_blocked_recipient/0","type":"function"},{"doc":"Returns the magic phone number which is INVALID and cannot receive SMS messages.Expect the 21211 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.valid_sender(), to: TwilioMagicValues.Messaging.invalid_recipient()) iex&gt; Map.get(map, :code) 21211","ref":"TwilioMagicValues.Messaging.html#invalid_recipient/0","title":"TwilioMagicValues.Messaging.invalid_recipient/0","type":"function"},{"doc":"Returns the magic phone number which is INVALID as an SMS sender.Expect the 21212 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.invalid_sender(), to: TwilioMagicValues.Messaging.to_other(&quot;+17148673509&quot;)) iex&gt; Map.get(map, :code) 21212","ref":"TwilioMagicValues.Messaging.html#invalid_sender/0","title":"TwilioMagicValues.Messaging.invalid_sender/0","type":"function"},{"doc":"Returns the magic phone number which is CANT SEND SMS.Expect the 21606 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.sender_cant_send_sms(), to: TwilioMagicValues.Messaging.to_other(&quot;+17148673509&quot;)) iex&gt; Map.get(map, :code) 21606","ref":"TwilioMagicValues.Messaging.html#sender_cant_send_sms/0","title":"TwilioMagicValues.Messaging.sender_cant_send_sms/0","type":"function"},{"doc":"Returns the magic phone number which has a FULL OUTGOING SMS QUEUE.Expect the 21611 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.sender_queue_full(), to: TwilioMagicValues.Messaging.to_other(&quot;+17148673509&quot;)) iex&gt; Map.get(map, :code) 21611","ref":"TwilioMagicValues.Messaging.html#sender_queue_full/0","title":"TwilioMagicValues.Messaging.sender_queue_full/0","type":"function"},{"doc":"All other phone numbers are potentially valid and are verified normally.Errors are dependent on input.","ref":"TwilioMagicValues.Messaging.html#to_other/1","title":"TwilioMagicValues.Messaging.to_other/1","type":"function"},{"doc":"Returns the magic phone number which is NOT VERIFIED OR OWNED BY YOUR ACCOUNT and cannot be used as an SMS sender.Expect the 21606 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.unowned_number(), to: TwilioMagicValues.Messaging.to_other(&quot;+17148673509&quot;)) iex&gt; Map.get(map, :code) 21606","ref":"TwilioMagicValues.Messaging.html#unowned_number/0","title":"TwilioMagicValues.Messaging.unowned_number/0","type":"function"},{"doc":"Returns the magic phone number which is UNROUTABLE and cannot receive SMS messages.Expect the 21612 API error from Twilio.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.valid_sender(), to: TwilioMagicValues.Messaging.unroutable_recipient()) iex&gt; Map.get(map, :code) 21612","ref":"TwilioMagicValues.Messaging.html#unroutable_recipient/0","title":"TwilioMagicValues.Messaging.unroutable_recipient/0","type":"function"},{"doc":"Returns the magic phone number which can send SMS messages.Expect no error.Exampleiex&gt; map = send_message(from: TwilioMagicValues.Messaging.valid_sender(), to: TwilioMagicValues.Messaging.to_other(&quot;+17148673509&quot;)) iex&gt; Map.get(map, :code, &quot;There is no error code&quot;) &quot;There is no error code&quot; iex&gt; Map.get(map, :num_segments) &quot;1&quot; iex&gt; Map.get(map, :num_media) &quot;0&quot;","ref":"TwilioMagicValues.Messaging.html#valid_sender/0","title":"TwilioMagicValues.Messaging.valid_sender/0","type":"function"},{"doc":"Wrapper for Twilio magic phone numbers used in tests buying phone numbers.See: https://www.twilio.com/docs/iam/test-credentials#test-incoming-phone-numbers","ref":"TwilioMagicValues.NumberPurchasing.html","title":"TwilioMagicValues.NumberPurchasing","type":"module"},{"doc":"Returns the magic area code which has numbers available for purchase.Expect no error, and the purchased phone number to be: +15005550006Exampleiex&gt; map = buy_number(area_code: TwilioMagicValues.NumberPurchasing.available_area_code()) iex&gt; Map.get(map, :code, &quot;There was no error code&quot;) &quot;There was no error code&quot; iex&gt; Map.get(map, :friendly_name) &quot;(500) 555-0006&quot;","ref":"TwilioMagicValues.NumberPurchasing.html#available_area_code/0","title":"TwilioMagicValues.NumberPurchasing.available_area_code/0","type":"function"},{"doc":"Returns the magic area code which has NO numbers available for purchase.Expect the 21452 API error from Twilio.Exampleiex&gt; map = buy_number(area_code: TwilioMagicValues.NumberPurchasing.empty_area_code()) iex&gt; Map.get(map, :code) 21452","ref":"TwilioMagicValues.NumberPurchasing.html#empty_area_code/0","title":"TwilioMagicValues.NumberPurchasing.empty_area_code/0","type":"function"},{"doc":"Returns the magic phone number which is INVALID for purchase.Expect the 21421 API error from Twilio.Exampleiex&gt; map = buy_number(exactly: TwilioMagicValues.NumberPurchasing.invalid_phone_number()) iex&gt; Map.get(map, :code) 21421","ref":"TwilioMagicValues.NumberPurchasing.html#invalid_phone_number/0","title":"TwilioMagicValues.NumberPurchasing.invalid_phone_number/0","type":"function"},{"doc":"Returns the magic phone number which is UNAVAILABLE for purchase.Expect the 21422 API error from Twilio.Exampleiex&gt; map = buy_number(exactly: TwilioMagicValues.NumberPurchasing.unavailable_phone_number()) iex&gt; Map.get(map, :code) 21422","ref":"TwilioMagicValues.NumberPurchasing.html#unavailable_phone_number/0","title":"TwilioMagicValues.NumberPurchasing.unavailable_phone_number/0","type":"function"},{"doc":"Returns the magic phone number which is VALID for purchase.Expect no error.Exampleiex&gt; map = buy_number(exactly: TwilioMagicValues.NumberPurchasing.valid_phone_number()) iex&gt; Map.get(map, :code, &quot;There was no error code&quot;) &quot;There was no error code&quot; iex&gt; Map.get(map, :friendly_name) &quot;(500) 555-0006&quot;","ref":"TwilioMagicValues.NumberPurchasing.html#valid_phone_number/0","title":"TwilioMagicValues.NumberPurchasing.valid_phone_number/0","type":"function"},{"doc":"Twilio Magic ValuesProvides Elixir apps with simple, pragmatic access to magic testing values for the Twilio API. The module and function names help give you code that is easier to read and is less prone to typos. Automated tests in this project also ensure that you will know if the magic numbers ever change.","ref":"readme.html","title":"Readme","type":"extras"},{"doc":"Update your mix.exs deps.def deps do [ ..., {:twilio_magic_values, &quot;~&gt; 1.0&quot;, only: :test} ] endRun mix deps.get.No need to modify the applications or extra_applications settings to use this project.","ref":"readme.html#installation","title":"Readme - Installation","type":"extras"},{"doc":"See the docs for all available modules and methods for all known magic numbers.Instead of testing a call from +15005550001Use: TwilioMagicValues.Calling.invalid_caller_id/1alias TwilioMagicValues.Calling make_test_call(from: Calling.invalid_caller_id(), to: Calling.invalid_recipient(), ...)Instead of testing a purchase for +15005550000Use: TwilioMagicValues.NumberPurchasing.unavailable_phone_number/1alias TwilioMagicValues.NumberPurchasing buy_test_number(exactly: NumberPurchasing.unavailable_phone_number())Instead of testing sending a message to +15005550004Use: TwilioMagicValues.Messaging.blacklisted_recipient/1alias TwilioMagicValues.Messaging send_test_message(from: Messaging.valid_sender(), to: Messaging.blacklisted_recipient(), ...)","ref":"readme.html#pseudocode-usage-examples","title":"Readme - Pseudocode usage examples","type":"extras"},{"doc":"Latest development: December 16, 2020Tests passed: December 16, 2020This project is versioned using the SEMVER 2.0.0 rules.","ref":"readme.html#project-freshness-v1-0-6","title":"Readme - Project freshness: v1.0.6","type":"extras"},{"doc":"Project documentation.The Twilio docs for test credentials and magic phone numbers.A related blog post by Twilio concerning test credentials and magic phone numbers.Other useful Twilio projects written in Elixirex_twiliotelephonistex_twimlSuggestions for this section are welcome. Please open an issue on GitHub.","ref":"readme.html#resources","title":"Readme - Resources","type":"extras"},{"doc":"Issues and pull requests are welcome on GitHub.Twilio doesn't currently provide magic numbers for other parts of their APIs. If they add a new magic number, please open an issue or pull request.See CONTRIBUTING.md","ref":"readme.html#contributing","title":"Readme - Contributing","type":"extras"},{"doc":"GPL v3; See LICENSE file.","ref":"readme.html#license","title":"Readme - License","type":"extras"},{"doc":"Written by Scott Swezey.","ref":"readme.html#author","title":"Readme - Author","type":"extras"},{"doc":"Guidelines for Contributing","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"Issues and pull requests are welcome on GitHub.If there is a Twilio Magic Number missing from this project, please open an issue or add it with a pull request.Please open an issue to discuss major changes before doing a lot of work and submitting a PR. While contributions are generally welcome, it's best to ensure the change will be accepted into the project before investing much time.","ref":"contributing.html#using-github","title":"Contributing - Using GitHub","type":"extras"},{"doc":"Ensure tests pass by running mix test.You will need to copy config/test.secret.exs.sample to config/test.secret.exs and update it with your own testing credentials from Twilio.Remember that most of the tests hit Twilio's test API. Avoid running the tests too frequently.Please run mix credo and fix any issues before committing.Please run mix format before committing.Do not bump the version number in your pull requests.","ref":"contributing.html#before-submitting-a-pull-request","title":"Contributing - Before submitting a pull request","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Update non-production deps.Verify all tests pass and note project is still feature complete.","ref":"changelog.html#version-1-0-6","title":"Changelog - Version 1.0.6","type":"extras"},{"doc":"Update dep httpoison to 1.7.0 to fix SSL/TLS issue with Hackney.Bump all non-production deps.Skipped version 1.0.4","ref":"changelog.html#version-1-0-5","title":"Changelog - Version 1.0.5","type":"extras"},{"doc":"Updating depsex_doc 0.20.0!","ref":"changelog.html#version-1-0-3","title":"Changelog - Version 1.0.3","type":"extras"},{"doc":"Bump depdenciesNo breaking changesNo new functionalityAll tests still pass","ref":"changelog.html#version-1-0-2","title":"Changelog - Version 1.0.2","type":"extras"},{"doc":"Bump depdenciesNo breaking changesNo new functionality","ref":"changelog.html#version-1-0-1","title":"Changelog - Version 1.0.1","type":"extras"},{"doc":"Initial public release","ref":"changelog.html#version-1-0-0","title":"Changelog - Version 1.0.0","type":"extras"}]